image: daewok/lisp-devel

stages:
  - test-sbcl
  - test-clozure

before_script:
  - apt-get update -qy
  - apt-get install -y git-core
  # get safe-queue from upstream because the Quicklisp version has a silly typo
  - git clone https://github.com/deadtrickster/safe-queue ~/quicklisp/local-projects/safe-queue
  # get concurrent-hash-tables because it doesn't have a Quicklisp version
  - git clone https://github.com/no-defun-allowed/concurrent-hash-tables ~/quicklisp/local-projects/concurrent-hash-tables
  # copy the directory cause Clozure Common Lisp doesn't like symlinks
  - cp -r "${CI_PROJECT_DIR}" ~/quicklisp/local-projects/cl-decentralise2

test-sbcl:
  stage: test-sbcl
  script:
    - sbcl --load tests.lisp --disable-debugger --quit

test-clozure:
  stage: test-clozure
  script:
      - ccl -l tests.lisp -e '(quit)'
